export interface IPlugin {
    /**
     * Plugin name
     */
    name: string;
    
    /**
     * Plugin version
     */
    version: string;
    
    /**
     * Plugin description
     */
    description?: string;
    
    /**
     * Plugin author
     */
    author?: string;
    
    /**
     * Initialize the plugin
     */
    initialize(): Promise<void> | void;
    
    /**
     * Cleanup plugin resources
     */
    cleanup?(): Promise<void> | void;
    
    /**
     * Plugin configuration
     */
    config?: any;
}

export interface PluginManifest {
    name: string;
    version: string;
    description?: string;
    author?: string;
    main: string;
    dependencies?: string[];
    config?: any;
}

export interface PluginInfo {
    manifest: PluginManifest;
    path: string;
    enabled: boolean;
}
